NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.DivideCurveBuilder Class Reference

Represents a builder for non-associative divide curve operation. More...

Inheritance diagram for NXOpen.Features.DivideCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CornerOption { ByNumber, SelectPoint, AllCornerpoints }
 Represents the Divide Curve at Corner option types More...
 
enum  EqualSegmentOption { EqualParameter, EqualArcLength }
 Represents the Divide Curve equal segment method types More...
 
enum  InputArcLengthDirectionFlag { Start, End }
 Represents the Divide Curve Input Arc length direction flag More...
 
enum  KnotPointOption { ByNumber, SelectPoint, AllKnotpoints }
 Represents the Divide Curve at Knot option types More...
 
enum  Types {
  EqualSegments, ByBoundingObjects, InputArcLengthSegments, AtKnotpoints,
  AtCorners
}
 Represents the Divide Curve types More...
 

Properties

unsafe double ArcLength [get, set]
 Returns or sets the arc length More...
 
unsafe
NXOpen.GeometricUtilities.BoundingObjectBuilderList 
BoundingObjects [get]
 Returns the Bounding Objects list More...
 
unsafe
NXOpen.Features.DivideCurveBuilder.CornerOption 
CornerMethod [get, set]
 Returns or sets the corner method More...
 
unsafe int CornerNumber [get, set]
 Returns or sets the corner number More...
 
unsafe NXOpen.SelectPointList CornerPoint [get]
 Returns the corner point More...
 
unsafe
NXOpen.Features.DivideCurveBuilder.InputArcLengthDirectionFlag 
DirectionFlag [get, set]
 Returns or sets the input arc length direction flag More...
 
unsafe NXOpen.SelectCurve DividingCurve [get]
 Returns the select dividing curve More...
 
unsafe int EqualArcLengthSegments [get, set]
 Returns or sets the equal arc length segments More...
 
unsafe int EqualParameterSegments [get, set]
 Returns or sets the equal parameter segments More...
 
unsafe
NXOpen.Features.DivideCurveBuilder.EqualSegmentOption 
EqualSegmentMethod [get, set]
 Returns or sets the equal segment method More...
 
unsafe NXOpen.SelectPointList KnotPoint [get]
 Returns the knot point More...
 
unsafe
NXOpen.Features.DivideCurveBuilder.KnotPointOption 
KnotPointMethod [get, set]
 Returns or sets the knot point method More...
 
unsafe int KnotPointNumber [get, set]
 Returns or sets the knot point number More...
 
unsafe
NXOpen.Features.DivideCurveBuilder.Types 
Type [get, set]
 Returns or sets the divide type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder for non-associative divide curve operation.

To create a new instance of this class, use NXOpen.Features.BaseFeatureCollection.CreateDivideCurveBuilder

Default values.

Property Value

ArcLength

1.0

CornerNumber

1

EqualArcLengthSegments

2

EqualParameterSegments

2

KnotPointNumber

1

Created in NX5.0.0

Member Enumeration Documentation

Represents the Divide Curve at Corner option types

Enumerator
ByNumber 

By Number

SelectPoint 

Screen Position

AllCornerpoints 

All Cornerpoints

Represents the Divide Curve equal segment method types

Enumerator
EqualParameter 

Equal Parameter

EqualArcLength 

Equal Arc length

Represents the Divide Curve Input Arc length direction flag

Enumerator
Start 

Input Arc length from start

End 

Input Arc length from end

Represents the Divide Curve at Knot option types

Enumerator
ByNumber 

By Number

SelectPoint 

Screen Position

AllKnotpoints 

All Knotpoints

Represents the Divide Curve types

Enumerator
EqualSegments 

Equal Segments

ByBoundingObjects 

By Bounding Objects

InputArcLengthSegments 

Input Arc Length Segments

AtKnotpoints 

At Knotpoints

AtCorners 

At Corners

Property Documentation

unsafe double NXOpen.Features.DivideCurveBuilder.ArcLength
getset

Returns or sets the arc length

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.GeometricUtilities.BoundingObjectBuilderList NXOpen.Features.DivideCurveBuilder.BoundingObjects
get

Returns the Bounding Objects list

Created in NX7.5.1

License requirements: None.

unsafe NXOpen.Features.DivideCurveBuilder.CornerOption NXOpen.Features.DivideCurveBuilder.CornerMethod
getset

Returns or sets the corner method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe int NXOpen.Features.DivideCurveBuilder.CornerNumber
getset

Returns or sets the corner number

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.SelectPointList NXOpen.Features.DivideCurveBuilder.CornerPoint
get

Returns the corner point

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.DivideCurveBuilder.InputArcLengthDirectionFlag NXOpen.Features.DivideCurveBuilder.DirectionFlag
getset

Returns or sets the input arc length direction flag

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.SelectCurve NXOpen.Features.DivideCurveBuilder.DividingCurve
get

Returns the select dividing curve

Created in NX5.0.0

License requirements: None.

unsafe int NXOpen.Features.DivideCurveBuilder.EqualArcLengthSegments
getset

Returns or sets the equal arc length segments

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe int NXOpen.Features.DivideCurveBuilder.EqualParameterSegments
getset

Returns or sets the equal parameter segments

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Features.DivideCurveBuilder.EqualSegmentOption NXOpen.Features.DivideCurveBuilder.EqualSegmentMethod
getset

Returns or sets the equal segment method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.SelectPointList NXOpen.Features.DivideCurveBuilder.KnotPoint
get

Returns the knot point

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.DivideCurveBuilder.KnotPointOption NXOpen.Features.DivideCurveBuilder.KnotPointMethod
getset

Returns or sets the knot point method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe int NXOpen.Features.DivideCurveBuilder.KnotPointNumber
getset

Returns or sets the knot point number

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Features.DivideCurveBuilder.Types NXOpen.Features.DivideCurveBuilder.Type
getset

Returns or sets the divide type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.